Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rss/image.rb

Class/Module Index [+]

Quicksearch

RSS::ImageFaviconModel

Public Class Methods

append_features(klass) click to toggle source
 
               # File rss/image.rb, line 114
def self.append_features(klass)
  super

  unless klass.class == Module
    klass.install_have_child_element("favicon", IMAGE_URI, "?",
                                     "#{IMAGE_PREFIX}_favicon")
    klass.install_must_call_validator(IMAGE_PREFIX, IMAGE_URI)
  end
end